cppcms::sessions::encryptor_factory Class Referenceabstract

This is an interface for an object that creates new encryptors. More...

`#include <cppcms/session_cookies.h>`

## Public Member Functions

virtual std::auto_ptr< encryptor > | get ()=0
virtual | ~encryptor_factory ()

## Detailed Description

This is an interface for an object that creates new encryptors.

This class must be thread safe.

## Constructor & Destructor Documentation

virtual cppcms::sessions::encryptor_factory::~encryptor_factory | ( |  | ) |

inlinevirtual

Destructor - cleanup everything

## Member Function Documentation

virtual std::auto_ptr<encryptor> cppcms::sessions::encryptor_factory::get | ( |  | ) |

pure virtual

Return a pointer to a newly created encryptor.

The documentation for this class was generated from the following file:

- cppcms/session_cookies.h